package benchmarks;

import gnu.trove.set.TIntSet;
import gnu.trove.set.hash.TIntHashSet;

import java.util.LinkedList;
import java.util.List;

import de.vibee.kanon.data.AdjacentGraph;

public class TestGraphStructure
{

	/**
	 * @param args
	 */
	public static void main(final String[] args)
	{
		final int n = 10;
		final int m = 2;

		final List<TIntSet> graphSet = new LinkedList<TIntSet>();
		for (int i = 0; i <= n; i++)
		{
			graphSet.add(new TIntHashSet());
		}

		for (int t = 0; t < m; t++)
		{
			final int i = Math.max(1, (int) (Math.random() * n));
			final int j = Math.max(1, (int) (Math.random() * n));
			if ( graphSet.get(i).contains(j) || i == j )
			{
				t--;
			}
			else
			{
				System.out.println("add " + i + "\t" + j);
				graphSet.get(i).add(j);
				graphSet.get(j).add(i);
			}

		}

		final AdjacentGraph graph = new AdjacentGraph(graphSet);
		System.out.println(graph.getAmountOfEdges());
	}

}
