package benchmarks;

import de.vibee.kanon.data.AdjacentGraph;
import seppImpl.CompactDegreeSequence;
import seppImpl.DegreeAnonymizer2;

public class TestHeuristic extends Thread
{
	private final AdjacentGraph graph;

	private final int k;

	public TestHeuristic(AdjacentGraph graph, int k)
	{
		this.graph = graph;
		this.k = k;
	}

	@Override
	public void run()
	{
		long t = System.currentTimeMillis();
		System.out.print("clustering-heuristic:" + SeppsMain.getFKDAHeuristicResult(k, graph) + "\t(" + (System.currentTimeMillis() - t) / 1000d + "s)");
		System.out.flush();
		
		t = System.currentTimeMillis();
		System.out.print("\t,#upperbound:" + CompactDegreeSequence.getUpperBoundForKAnonAndRealizable(graph, k) + "\t("
				+ (System.currentTimeMillis() - t) / 1000d + "s)");

	}
}
