package dataStructures;

public class ComparableStore<T, I extends Comparable<I>> extends Store<T, I> implements Comparable<ComparableStore<T, I>>
{
	public ComparableStore(T v, I s2)
	{
		super(v, s2);
	}

	@Override
	public int compareTo(ComparableStore<T, I> o)
	{
		return this.getS2().compareTo(o.getS2());
	}
}