package dataStructures.graph;

public class VCounter<V> implements Comparable<VCounter>
{
	public final V vertex;

	private int weight;

	public VCounter(V vertex, int degree)
	{
		this.vertex = vertex;
		this.setWeight(degree);
	}

	@Override
	public int compareTo(VCounter arg0)
	{
		return this.getWeight() - arg0.getWeight();
	}

	public int getWeight()
	{
		return this.weight;
	}

	/**
	 * @param weight the weight to set
	 */
	public void setWeight(int weight)
	{
		this.weight = weight;
	}

	@Override
	public String toString()
	{
		return String.valueOf(this.vertex);
	}
};
