package de.vibee.kanon.data;

public class Node implements Cloneable
{

	private final int position;

	private int sortedPosition;

	private int degree;

	public Node(final int position, final int degree)
	{
		this.degree = degree;
		this.position = position;
	}

	@Override
	public Node clone()
	{
		return new Node(this.position, this.degree);
	}

	public int getDegree()
	{
		return this.degree;
	}

	public int getPosition()
	{
		return this.position;
	}

	public int getSortedPosition()
	{
		return this.sortedPosition;
	}

	public void setDegree(final int degree)
	{
		this.degree = degree;
	}

	public void setSortedPosition(final int sortedPosition)
	{
		this.sortedPosition = sortedPosition;
	}

}
