package de.vibee.tools;

public class IntTripel implements Comparable<IntTripel>
{

	private int first;

	private int second;

	private int third;

	public IntTripel(final int first, final int second, final int third)
	{
		this.first = first;
		this.second = second;
		this.third = third;
	}

	@Override
	public IntTripel clone()
	{
		return new IntTripel(this.getFirst(), this.getSecond(), this.getThird());

	}

	@Override
	public int compareTo(final IntTripel o2)
	{
		if ( this.getFirst() == o2.getFirst() && this.getSecond() == o2.getSecond() && this.getThird() == o2.getThird() )
			return 0;
		else
			return -1;

	}

	public int getFirst()
	{
		return this.first;
	}

	public int getSecond()
	{
		return this.second;
	}

	public int getThird()
	{
		return this.third;
	}

	public void setFirst(final int first)
	{
		this.first = first;
	}

	public void setSecond(final int second)
	{
		this.second = second;
	}

	public void setThird(final int third)
	{
		this.third = third;
	}

	@Override
	public String toString()
	{
		return "IntTripel [from=" + this.first + ", to=" + this.second + ", #no=" + this.third + "]";
	}

}
