package distanceFunction;

import java.util.ArrayList;
import java.util.Collection;

public class SymmetricDiscreteDistanceIntegerIndex<E> extends SymmetricDistanceFunction<Integer, E>
{

	private static Collection<Integer> getStandard(int n)
	{
		final ArrayList<Integer> list = new ArrayList<Integer>(n);
		for (int i = 0; i < n; i++)
		{
			list.add(i);
		}
		return list;

	}

	public SymmetricDiscreteDistanceIntegerIndex(int n)
	{
		super(SymmetricDiscreteDistanceIntegerIndex.getStandard(n));
	}

}
