package seppImpl;

public class CannotRealize extends Exception
{
	/**
	 * 
	 */
	private final GraphRealizer CannotRealize;

	final int vertex;

	public CannotRealize()
	{
		this(null, -1, -1);
	}

	public CannotRealize(final GraphRealizer graphRealizer, final int vertex, final int deg)
	{
		super("cannot find edge for vertex " + vertex + " (deg:" + deg + ")");
		this.CannotRealize = graphRealizer;
		this.vertex = vertex;

	}
}