package seppImpl;

public class Triple
{
	/**
	 * block number
	 */
	private final int i;

	/**
	 * number of vertices of block i whose degree get increased
	 */
	private int t;

	/**
	 * cost
	 */
	private int c;

	public Triple(final int i, final int t, final int c)
	{
		this.i = i;
		this.t = t;
		this.c = c;
	}

	public int getC()
	{
		return this.c;
	}

	public int getI()
	{
		return this.i;
	}

	public int getT()
	{
		return this.t;
	}

	public void setC(final int min)
	{
		this.c = min;
	}

	public void setT(final int min)
	{
		this.t = min;
	}

	@Override
	public String toString()
	{
		return "Triple [i=" + this.getI() + ", t=" + this.getT() + ", c=" + this.getC() + "]";
	}

}